#ifndef __MD_MATERIAL__
#define __MD_MATERIAL__

#include <List.h>
#include <Error_messager.h>
#include <Multipliers.h>
#include <Consts.h>

namespace ZSET{
  using namespace ZSET;

class MD_MATERIAL
{
public:
  MD_MATERIAL() {}
  MD_MATERIAL(int i, STRING str);
 ~MD_MATERIAL() {}
 
  MULTIPLIERS multiplier;
  STRING name;
  int color,id,dim;
  double mass;
  ARRAY<double> material_parameter;

  void set_color(int col) 		     { color = col; }
  void set_mass(double m) 		     { mass = m; }
  void set_material_parameter(int i, double value)  { material_parameter[i-1] = (value); }
  void set_multiplier(MULTIPLIERS m);
  void set_dim(int d) { dim = d; }
  void set_multiplier();
  MULTIPLIERS get_multiplier() { return multiplier; }
  void scale_parameters();

  void print();

};

}

#endif

