#!/usr/bin/python

import sys
import random
import numpy as np

N = int(sys.argv[1])
seed = int(sys.argv[2])
random.seed(seed)

box = 1.

particles = np.zeros((N,2))

file_name = "initial_config.data"
output_file = file(file_name,"w")
output_file.write("***particles\n 2 " + str(N)+"\n")

ip = 0
for i in range(1,N+1):
  x = random.random()*box
  y = random.random()*box
  vx = 0
  vy = 0
  particles[i-1][0] = x
  particles[i-1][1] = y
  output_file.write(str(i)+" "+str(particles[i-1][0])+" "+str(particles[i-1][1])+" "+str(vx)+" "+str(vy)+" 1\n")
